package app.furmeet.events.brasilfurfest.developer

import android.content.Intent
import android.graphics.drawable.Drawable
import android.os.Bundle
import com.adlerosn.brasilfurfest.R
import app.furmeet.events.brasilfurfest.TranslatableAppCompatActivity
import app.furmeet.events.brasilfurfest.helper.KnownAssets
import app.furmeet.events.brasilfurfest.legal.SoftwareLicensesActivity
import kotlinx.android.synthetic.main.activity_developer.*

class DeveloperActivity : TranslatableAppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_developer)
        dev1HeadShotImg.setImageDrawable(
                Drawable.createFromStream(
                        assets.open(KnownAssets.dev1HeadShot),
                        null
                )
        )
        action_software_licenses.setOnClickListener {
            Intent(this, SoftwareLicensesActivity::class.java).apply {
                startActivity(this)
            }
        }
    }
}
